import ContentLoader from 'react-content-loader';

type Props = {
	i: number,
	isNestable?: boolean,
};

const loaderProps = {
	speed: 2,
	foregroundColor: "#f5f6f8",
	backgroundColor: "#fff"
};

const ListItemPlaceholder = function ( props: Props ) {
	const {
		i,
		isNestable = false,
	} = props;

	return (
		<tr key={ `placeholder-${i}` }>
			{ isNestable ? (
				<td className="record-expand">&nbsp;</td>
			) : null }
			<td className="record-thumbnail">
				<ContentLoader
					{ ...loaderProps }
					height={ 47 }
					width={ 105 }
				>
					<rect height={ 47 } rx="5" ry="5" width={ 105 } x={ 0 } y={ 0 } />
				</ContentLoader>
			</td>
			<td className="record-name">
				<ContentLoader
					{ ...loaderProps }
					height={ 46 }
				>
					<rect height={ 6 } rx="5" ry="5" width={ 50 } x={ 0 } y={ 10 } />
					<rect height={ 6 } rx="5" ry="5" width={ 100 } x={ 0 } y={ 30 } />
				</ContentLoader>
			</td>
			<td className="record-traffic">
				<ContentLoader
					{ ...loaderProps }
					height={ 46 }
				>
					<rect height={ 6 } rx="5" ry="5" width={ 68 } x={ 0 } y={ 10 } />
					<rect height={ 6 } rx="5" ry="5" width={ 68 } x={ 0 } y={ 30 } />

					<rect height={ 15 } rx="2" ry="2" width={ 11 } x={ 83 } y={ 20 } />
					<rect height={ 5 } rx="2" ry="2" width={ 11 } x={ 97 } y={ 30 } />
					<rect height={ 15 } rx="2" ry="2" width={ 11 } x={ 111 } y={ 20 } />
					<rect height={ 5 } rx="2" ry="2" width={ 11 } x={ 125 } y={ 30 } />
					<rect height={ 15 } rx="2" ry="2" width={ 11 } x={ 139 } y={ 20 } />
					<rect height={ 10 } rx="2" ry="2" width={ 11 } x={ 153 } y={ 25 } />
					<rect height={ 5 } rx="2" ry="2" width={ 11 } x={ 167 } y={ 30 } />
				</ContentLoader>
			</td>
			<td className="record-lift">&nbsp;</td>
			<td className="record-meta">
				<ContentLoader
					{ ...loaderProps }
					height={ 50 }
				>
					<circle cx={ 12 } cy={ 12 } r="12" />
					<rect height={ 6 } rx="5" ry="5" width={ 120 } x={ 30 } y={ 30 } />
					<rect height={ 6 } rx="5" ry="5" width={ 70 } x={ 30 } y={ 10 } />
				</ContentLoader>
			</td>
		</tr>
	);
};

export default ListItemPlaceholder;
